import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    `kotlin-dsl`
    alias(libs.plugins.kotlin.jvm)
    alias(libs.plugins.kotlin.plugin.sam.with.receiver)
}

java {
    toolchain {
        languageVersion.set(JavaLanguageVersion.of(libs.versions.java.get()))
    }
}

kotlin {
    jvmToolchain {
        languageVersion.set(JavaLanguageVersion.of(libs.versions.java.get()))
    }
}

repositories {
    mavenLocal()
    mavenCentral()
    gradlePluginPortal()
}

tasks.withType<KotlinCompile>().configureEach {
    kotlinOptions {
        jvmTarget = libs.versions.java.get()
        apiVersion = libs.versions.kotlinLanguage.get()
        languageVersion = libs.versions.kotlinLanguage.get()
    }
}

dependencies {
    implementation(files(libs.javaClass.superclass.protectionDomain.codeSource.location)) // Hack from https://github.com/gradle/gradle/issues/15383
    implementation(gradleApi())
    implementation(libs.kotlin.jvm.gradle.plugin)
    implementation(libs.pitest.gradle.plugin)
}
