import kotlin.time.Duration.Companion.seconds

plugins {
    id("info.solidsoft.pitest")
    id("messaging-kotlin")
    idea
}

dependencies {
    testRuntimeOnly(libs.junit.platform.launcher)
    testRuntimeOnly(libs.junit.jupiter.api)
    testRuntimeOnly(libs.junit.jupiter.engine)
}

pitest {
    junit5PluginVersion.set(libs.versions.pitestJunit5Plugin.get())
    pitestVersion.set(libs.versions.pitest.get())
    verbose.set(true)
    jvmArgs.add("-Xmx8g")
    targetClasses.add("com.paxos.*")
    outputFormats.addAll("XML", "HTML")
    exportLineCoverage.set(true)
//    features.addAll("+exclusionscan", "+exclusion", "+nouncovered")
//    mutators.addAll("STRONGER", "EXTENDED")
    timeoutConstInMillis.set(60.seconds.inWholeMilliseconds.toInt())
    skipFailingTests.set(true)
//    mutationThreshold.set(100)
//    failWhenNoMutations.set(true)
    excludedClasses.add("com.paxos.messaging.jooq.*")
}

rootProject.tasks.getByPath(":pitestReportAggregate").dependsOn(tasks.getByName("pitest"))

tasks {
    "pitest" {
        this as info.solidsoft.gradle.pitest.PitestTask
        sourceDirs.from(layout.files("src/pitest"))
    }
}

idea {
    module {
        testSources.from(file("src/pitest"))
    }
}
