When updating dependencies you will need to run the `verify gradle deps and export gradle deps keys`
launch configuration in IDEA to update the `verification-metadata.xml`, `verification-keyring.gpg` and all the `gradle.lockfile` files

Whenever a dependency that has non-signed artifacts is updated this will require updates to `verificaiton-metadata.xml`. If however the artifact is signed with a key that we already have in `verification-keyring.gpg` then no changes should be required. Either way the launch configuration should make the necessary updates.

Even if we aren't too careful about the updates that the launch configuration does to the metadata it should still improve security. Because for a CI build to succeed, both the developer machine and the CI machine will have to be compromised. Of course if one of the keys were to get compromised we would struggle to defend against that.

## Upgrading Gradle
Run the following. You can get the sha256 from here:  https://gradle.org/release-checksums/
```
./gradlew wrapper --gradle-version=<gradle version> --distribution-type=all --gradle-distribution-sha256-sum=<sha256>
```

