package com.paxos.messaging.alerts


class AlertSender(private val config: AlertConfig) {
    fun send(alert: Alert) {
        val destination = config.severityDestinationMap[alert.severity]
        if (destination == null) {
            println("No alert destination config found for severity ${alert.severity} for alert $alert")
        } else {
            destination.send(alert.withContext())
        }
    }
}

fun Alert.withContext(): Alert =
    Alert(severity, message, props, exception) // NO PITEST
