package com.paxos.common

import com.google.common.truth.Truth.assertThat
import org.junit.jupiter.api.Assertions
import org.junit.jupiter.api.Test

class A(id: String) : StringWrapper<A>(id)

class TestStringWrapper {
    @Test
    fun `test stringwrappers are equal`() {
        Assertions.assertEquals(A("A"), A("A"))
        Assertions.assertNotEquals(A("A"), A("B"))
        Assertions.assertNotEquals(A("A"), "B")
    }

    @Test
    fun `test stringwrappers are comparable`() {
        assertThat(A("A")).isLessThan(A("B"))
    }

    @Test
    fun `test stringwrappers toString`() {
        assertThat(A("A").toString()).isEqualTo("A")
    }

    @Test
    fun `test stringwrappers hashcode`() {
        assertThat(hashMapOf(A("A") to "A")).isEqualTo(hashMapOf(A("A") to "A"))
    }
}
